summaryrefslogtreecommitdiffstats
path: root/scripts/kconfig/qconf-cfg.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/kconfig/qconf-cfg.sh')
-rwxr-xr-xscripts/kconfig/qconf-cfg.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/scripts/kconfig/qconf-cfg.sh b/scripts/kconfig/qconf-cfg.sh
new file mode 100755
index 000000000..ad652cb53
--- /dev/null
+++ b/scripts/kconfig/qconf-cfg.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+
+PKG="Qt5Core Qt5Gui Qt5Widgets"
+
+if [ -z "$(command -v ${HOSTPKG_CONFIG})" ]; then
+ echo >&2 "*"
+ echo >&2 "* 'make xconfig' requires '${HOSTPKG_CONFIG}'. Please install it."
+ echo >&2 "*"
+ exit 1
+fi
+
+if ${HOSTPKG_CONFIG} --exists $PKG; then
+ echo cflags=\"-std=c++11 -fPIC $(${HOSTPKG_CONFIG} --cflags $PKG)\"
+ echo libs=\"$(${HOSTPKG_CONFIG} --libs $PKG)\"
+ echo moc=\"$(${HOSTPKG_CONFIG} --variable=host_bins Qt5Core)/moc\"
+ exit 0
+fi
+
+echo >&2 "*"
+echo >&2 "* Could not find Qt5 via ${HOSTPKG_CONFIG}."
+echo >&2 "* Please install Qt5 and make sure it's in PKG_CONFIG_PATH"
+echo >&2 "* You need $PKG"
+echo >&2 "*"
+exit 1